
/*
 * Created on $today.date ( Time $today.time )
 * Generator tool : $generator.name ( version $generator.version )
* Copyright 2020 SalaamSolutions. All Rights Reserved.
## * Copyright 2020 Savoir Faire Linux. All Rights Reserved.
  */

package ${target.javaPackageFromFolder(${SRC})};

import java.util.List;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

/**
 * Request
 * 
 * @author Back-End developper
 ##* @author SFL Back-End developper
 *
 */
@XmlRootElement
@JsonInclude(Include.NON_NULL)
public class Request<T> extends RequestBase {

	protected T			data;
	protected List<T>	datas;

	// ----------------------------------------------------------------------
	// GETTER(S) & SETTER(S) FOR DATA FIELDS
	// ----------------------------------------------------------------------
	/**
	 * Get the "data" field value
	 * 
	 * @return the field value
	 */
	public T getData() {
		return data;
	}

	/**
	 * Set the "data" field value
	 * 
	 * @param data
	 */
	public void setData(T data) {
		this.data = data;
	}

	/**
	 * Get the "datas" field value
	 * 
	 * @return the field value
	 */
	public List<T> getDatas() {
		return datas;
	}

	/**
	 * Set the "datas" field value
	 * 
	 * @param datas
	 */
	public void setDatas(List<T> datas) {
		this.datas = datas;
	}
}